IF NOT EXISTS 
(
  SELECT name FROM SysIndexes  WITH (NOLOCK) 
  WHERE name = 'PK_ReservationExternalRefXTAB'
)
	ALTER TABLE [dbo].[ReservationExternalRefXTAB]
	ADD CONSTRAINT [PK_ReservationExternalRefXTAB] PRIMARY KEY CLUSTERED 
	(
		[FK_ReferenceNumber] ASC,
		[FK_GuestNumber] ASC
	) ON [PRIMARY]